\documentclass[12pt,a4paper]{article}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[french]{babel}
\usepackage{ntheorem}
\usepackage{amsmath}
\usepackage{amsfonts}

\usepackage{kpfonts}

\usepackage[bookmarks=false,colorlinks,linkcolor=blue,pdfusetitle]{hyperref}

\pdfminorversion 7
\pdfobjcompresslevel 3

\usepackage{tabularx}

\usepackage{pgf}
\usepackage{tikz}
\usepackage{tkz-euclide}
\usetkzobj{all}
\usepackage[top=1.5cm,bottom=2cm,left=2cm,right=2cm]{geometry}

\usepackage{lastpage}

\usepackage{wrapfig}

\usepackage[autolanguage]{numprint}
\newcommand{\np}{\numprint}

\makeatletter
\renewcommand{\@evenfoot}%
        {\hfil \upshape \small page {\thepage} de \pageref{LastPage}}
\renewcommand{\@oddfoot}{\@evenfoot}

\renewcommand{\maketitle}%
{\framebox{%
    \begin{minipage}{1.0\linewidth}%
      \begin{center}%
        \Large \@title ~-- \@author \\%
        \@date%
      \end{center}%
    \end{minipage}}%
  \normalsize%
  %\vspace{1cm}%
}

\makeatother


%\theoremstyle{break}
\theorembodyfont{\normalfont}
\newtheorem{exercice}{Exercice}

\theoremstyle{nonumberplain}
\newtheorem{probleme}{Problème}

% Mise en forme des labels dans les énumérations
\renewcommand{\labelenumi}{\textbf{\theenumi.}}
\renewcommand{\labelenumii}{\textbf{\theenumii)}}
\renewcommand{\theenumi}{\arabic{enumi}}
\renewcommand{\theenumii}{\alph{enumii}}

\renewcommand{\labelitemi}{$\bullet$}

\setlength{\parsep}{0pt}
\setlength{\parskip}{5pt}
\setlength{\parindent}{0pt}
\setlength{\itemsep}{7pt}

\usepackage{multicol}
\setlength{\columnseprule}{0pt}

\everymath{\displaystyle\everymath{}}

\title{}
\author{BTS}
\date{}

\begin{document}

\maketitle

\begin{exercice}~

  Définir la fonction $f$ représentée graphiquement en fonction de
  l'échelon unité $\mathcal{U}(t)$

  \begin{tikzpicture}[domain=-2:4.5]
    \draw[lightgray,very thin,dashed] (-2.2,-3.2) grid (6.2,4.2) ;
    \draw[->] (-2.2,0) -- (6.5,0) ;
    \draw[->] (0,-3.2) -- (0,4.2);

    \draw[very thick]    plot[domain=-2.5:0] (\x,0);
    \draw[very thick]    plot[domain=0:1] (\x,\x);
    \draw[very thick]    plot[domain=1:2] (\x,3-2*\x);
    \draw[very thick]    plot[domain=2:5] (\x,2/3*\x-2-1/3);
    \draw[very thick]    plot[domain=5:6.2] (\x,0) ;
  \end{tikzpicture}
\end{exercice}


\end{document}

